term.out('Will load function')
function Fill_Form(loadclass,shootername,shooterclass,rackrequest)
term.out('Entered Function')
	loadclass = string.upper(loadclass)
	shootername = string.upper(shootername)
	shooterclass = string.upper(shooterclass)

	hBuum = {} -- 'load' vessel handler 
	hBuumAtt = {} -- 'load' attachment handler
	BuumID = {} -- 'load' attachment ID

	numvessels = vessel.get_count()

	term.out('Will check '..numvessels..' vessels')

	--How many valid loads? And what are their handlers?
	ammoctr = 0
	odx=0
	while odx < numvessels do

		vthisv = vessel.get_interface(odx)
		hthisv = vthisv:get_handle()
		vclname = vthisv:get_classname()
		hAtt = vthisv:get_attachmenthandle(true,0) -- loads have just one child attachment 

		if string.upper(vclname) == loadclass  and vthisv:get_attachmentstatus(hAtt) == nil  then
			ammoctr = ammoctr+1
			hBuum[ammoctr-1] = hthisv
			hBuumAtt[ammoctr-1] = vthisv:get_attachmenthandle(true,0)
			BuumID[ammoctr-1] = vthisv:get_attachmentid(hBuumAtt[ammoctr-1])
		end



		odx = odx + 1
	end

	

term.out('Checked '..ammoctr..' Loads')

	-- Porter vessel scan
	hShtr = {}
	shtrcntr = 0
	odx=0
	while odx < numvessels do

		vthisv = vessel.get_interface(odx)
		vclname = vthisv:get_classname()
		vname = vthisv:get_name()

		if (shootername == '' and string.upper(vclname) == shooterclass) or (shootername ~='' and string.upper(vname) == shootername)  then
			ody = 0
			shtrcntr = shtrcntr + 1
			hShtr[shtrcntr - 1] = {}
			hShtr[shtrcntr - 1].vif = vthisv
			hShtr[shtrcntr - 1].pylnctr = 0
			while ody < hShtr[shtrcntr - 1].vif:get_attachmentcount(false) do
				hAtt = hShtr[shtrcntr - 1].vif:get_attachmenthandle(false,ody)
				Attid = hShtr[shtrcntr - 1].vif:get_attachmentid(hAtt)
				if string.sub(Attid,1,3) == 'G2P' then
					hAttched = hShtr[shtrcntr - 1].vif:get_attachmentstatus(hAtt)
					if hAttched == nil then
						hShtr[shtrcntr - 1].pylnctr = hShtr[shtrcntr - 1].pylnctr+1
						hShtr[shtrcntr - 1][hShtr[shtrcntr - 1].pylnctr -1] = hAtt
					end
				end
				ody = ody + 1
			end
		end
		odx = odx +1
	end
	
	term.out('Checked '..shtrcntr..' Vessels')

	--Load the weapons at the racks...
	--attachment scan
	odx= 0
	while odx < shtrcntr do

		ody= 0
		while ammoctr > 0  and ody < hShtr[odx].pylnctr do
				if rackrequest == '' or (rackrequest ~= '' and shooterclass == ''and  ody == rackrequest) then
					term.out('Attaching load '..ammoctr..' to parent attachment '..ody)
					ok = hShtr[odx].vif:attach_child(hBuum[ammoctr - 1],hShtr[odx][ody],hBuumAtt[ammoctr - 1])
					ammoctr = ammoctr - 1
				end
			ody = ody + 1
		end

		odx =odx +1
	end
end

term.out( 'You got the forms commander.\nTo load a pylon fill a request form.\n(Fill_Form(Load Class,Vessel Name,Vessel Class,Available Slot) ')